package player.kent.chen.osgi.service.impl;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import player.kent.chen.osgi.service.interfaces.HelloService;

/**
 * 通过OSGi API发布服务
 * @author chenjianjx
 *
 */
public class ServiceActivator implements BundleActivator {

	@Override
	public void start(BundleContext context) throws Exception {
		context.registerService(HelloService.class.getName(), new HelloServiceImpl(), null);
		System.out.println(HelloService.class.getName() + " has been registred as a service");
	}

	@Override
	public void stop(BundleContext context) throws Exception {

	}

}
